# extractGroup

QData extractGroup( String groupName,String elementType)

QData extractGroup( String groupName,String elementType,boolean recursive)

| Param Name  | Description                                                                                                                                                                                                                                                                                 | Conditions                 |
| ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------- |
| groupName   | Name of the group on which data extraction to be executed. Will extract data of all the product elements in the group. This will be executed based on the seq no. if the product element doesn't contain link to the UI element for the given elementType it will skip that product element | Mandatory                  |
| elementType | Element type must be one if the following                                                                                                                                                                                                                                                   | Mandatory                  |
| recursive   | if recursive is true, it will take all the product elements of the sub groups and order by the seq no. if recursive is false, it will only extract on product elements on this group only                                                                                                   | Optional. Default is false |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/master-1/ui-action-methods/extractgroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
